mencoder helyett parancssorba mi ajánlott (megoldva)

 ( bzs | 2015. október 30., péntek - 12:08 )

Sziasztok.

A mencoder annak idején az Mplayer csomagban volt benne, Slackware-emen most is futkos.

Kérdésem az, hogy az újabb ubuntuk tárolóiban hol található meg, vagy ha ez elvetendő, van-e helyette valami, ami kiváltja parancssori videokonvertálásokhoz a mencodert?

Konkrétabban például ezt a scriptemet szeretném kiváltani:

mencoder $1 \
-ofps 25 \
-o $1.flv \
-of lavf \
-oac mp3lame \
-lameopts abr:br=64 \
-srate 22050 \
-ovc lavc \
-lavcopts vcodec=flv:keyint=50:vbitrate=600:mbd=2:mv0:trell:v4mv:cbp:last_pred=3 \
-vf scale=480:320

# (DV-bol flv konverzio)

--------
# apt-cache search mencoder
xjadeo - Video player with JACK sync
javamorph - Java morphing film-make program for pixel picture-input
mpv - video player based on MPlayer/mplayer2
vstream-client - library and utility to fetch media streams from a TIVO
vstream-client-dev - Development headers for vstream-client
xcrysden - Crystalline and Molecular Structure Visualizer
kmplayer - media player for KDE
mtvcgui - A simple GUI for recording TV with mencoder
# (egyik csomagban sincs mencoder...)

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

ffmpeg

------------------------
Jézus reset téged

+1

HandbrakeCLI lesz a barátod

Alább egy elképzelt példa a használatára, ahol egy blueray image lett felmountolva a /mnt alá.

HandBrakeCLI -i /mnt/ -o /tutifilm-bluerayrip.mkv \
-m -e x264 --two-pass --turbo --vfr -w 704 -l 384 -b 1200 --keep-display-aspect \
-a 1,2 -A hun,eng -E mp3 -Q 2 -B 192 \
-s 1,2,3 --srt-lang eng,hun,hun --subtitle-forced 3 --srt-default 2

miki

apt-cache show handbrake-cli
Package: handbrake-cli
Priority: optional
Section: universe/graphics
Installed-Size: 663
Maintainer: Ubuntu Developers
Original-Maintainer: Debian Multimedia Maintainers
Architecture: i386
Source: handbrake
Version: 0.10.2+ds1-1build1
Depends: libass5 (>= 0.10.2), libavcodec-ffmpeg56 (>= 7:2.4) | libavcodec-ffmpeg-extra56 (>= 7:2.4), libavformat-ffmpeg56 (>= 7:2.4), libavresample-ffmpeg2 (>= 7:2.4), libavutil-ffmpeg54 (>= 7:2.4), libbluray1 (>= 1:0.2.2), libc6 (>= 2.7), libdvdnav4 (>= 4.9.0~~gita5c13254), libdvdread4 (>= 4.1.3), libgcc1 (>= 1:4.1.1), libmp3lame0, libsamplerate0 (>= 0.1.7), libswscale-ffmpeg3 (>= 7:2.4), libtheora0 (>= 1.0), libvorbis0a (>= 1.1.2), libvorbisenc2 (>= 1.1.2), libx264-146, libx265-59 (>= 1.7)
Pre-Depends: dpkg (>= 1.15.6~)
Filename: pool/universe/h/handbrake/handbrake-cli_0.10.2+ds1-1build1_i386.deb
Size: 263378
MD5sum: 78fc6dd9123a541ff03978f7cb15a6be
SHA1: ee95c91d13ec807b4c3ca3e8b319fbcdad915adb
SHA256: f63463df0ad1103a25f529cffeec1fb4bc7dbf04bac21b7193885d1b91cd8444
Description-en: versatile DVD ripper and video transcoder (command line)
HandBrake is a versatile, easy-to-use tool for converting DVDs and other
videos into H.264, XViD, or Ogg formatted media. It's particularly useful
for making videos that are compatible with portable video devices such as
the Apple iPod/iPhone or Sony PSP.
.
This package contains the command-line variant, HandBrakeCLI.
Description-md5: 49463e12bb084dcd2298d5160270fd48
Homepage: http://www.handbrake.fr/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

duplán ment...

Megnézegetem, aztán ha tényleg parancssorban is futkos, átírom rá az összes mencoderes scriptemet, így nem kell repokkal anyáznom

---
--- A gond akkor van, ha látszólag minden működik. ---
---

meglátod menni fog...

Úgy egy fél éve kerestem meg én is a mencoder lehetséges alternatíváit.
Jó az ffmpeg is, de ez számomra sokkal egyszerűbb...

miki

Hmm, nekem van mencoder csomagom!

Amúgy itt: http://packages.ubuntu.com/trusty/mencoder

$ apt-cache search mencoder
acidrip - ripping and encoding DVD tool using mplayer and mencoder
divxenc - shell script to encode DVDs to FMP4/DivX
dvd95 - DVD9 to DVD5 converter
h264enc - encode video or DVD in H.264/AVC/MPEG-4 Part 10
iriverter - converts video for use on various multimedia players
libogmrip-dev - Application for ripping and encoding DVD - development files
libogmrip1 - Application for ripping and encoding DVD - libraries files
ogmrip - Application for ripping and encoding DVD
ogmrip-doc - Application for ripping and encoding DVD - Documentation files
ogmrip-profiles - collection of profiles for OGMRip.
xjadeo - Video player with JACK sync
xvidenc - shell script to encode DVDs to Xvid
javamorph - Java morphing film-make program for pixel picture-input
mencoder - MPlayer's Movie Encoder
recorditnow - desktop recorder for KDE
tablet-encode - video converter for Nokia Internet Tablets
vstream-client - library and utility to fetch media streams from a TIVO
vstream-client-dev - Development headers for vstream-client
kmplayer - media player for KDE
k9copy - KDE tool to backup DVDs
rosa-media-player - Front-end for MPlayer
curlew - Easy to use, Free and Open-Source Multimedia converter for Linux.

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty

<= Powered By Ubuntu & Gentoo Linux =>

'Software is like sex: It's better when it's free!'
By Linus Torvalds

Kipróbáltam.
Nem kevertem a distribet idegen repokkal, semmi hekk, októberi ubuntu...

Letöltöttem amit javasoltál, majd:

dpkg -i mencoder_1.1+dfsg1-0ubuntu3_i386.deb
A korábban ki nem választott mencoder csomag kiválasztása.
(Adatbázis olvasása ... 379035 files and directories currently installed.)
Kibontás előkészítése: mencoder_1.1+dfsg1-0ubuntu3_i386.deb ...
Kibontás: mencoder (2:1.1+dfsg1-0ubuntu3) ...
dpkg: függőségi problémák miatt nem állítható be: mencoder:
mencoder függ ettől: libavcodec54 (>= 6:9.1-1) | libavcodec-extra-54 (>= 6:9.11); viszont:
A(z) libavcodec54 csomag nincs telepítve.
A(z) libavcodec-extra-54 csomag nincs telepítve.
mencoder függ ettől: libavformat54 (>= 6:9.1-1); viszont:
A(z) libavformat54 csomag nincs telepítve.
mencoder függ ettől: libavutil52 (>= 6:9.1-1); viszont:
A(z) libavutil52 csomag nincs telepítve.
mencoder függ ettől: libpostproc52 (>= 5:0.git20120217~); viszont:
A(z) libpostproc52 csomag nincs telepítve.
mencoder függ ettől: libswscale2 (>= 6:9.1-1); viszont:
A(z) libswscale2 csomag nincs telepítve.
mencoder függ ettől: libx264-142; viszont:
A(z) libx264-142 csomag nincs telepítve.

dpkg: hiba a csomag feldolgozásakor: mencoder (--install):
függőségi problémák - a csomag beállítatlan maradt
Hibák történtek a feldolgozáskor:
mencoder

root@fekete:~# men
mencoder mendex
root@fekete:~# mencoder
mencoder: error while loading shared libraries: libswscale.so.2: cannot open shared object file: No such file or directory
root@fekete:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Próbálja futtatni az „apt-get -f install” parancsot ezek javításához.
Az alábbi csomagoknak teljesítetlen függőségei vannak:
mencoder : Depends: libavcodec54 (>= 6:9.1-1) de az nem telepíthető vagy
libavcodec-extra-54 (>= 6:9.11) de az nem telepíthető
Depends: libavformat54 (>= 6:9.1-1) de az nem telepíthető
Depends: libavutil52 (>= 6:9.1-1) de az nem telepíthető
Depends: libpostproc52 (>= 5:0.git20120217~) de az nem telepíthető
Depends: libswscale2 (>= 6:9.1-1) de az nem telepíthető
Depends: libx264-142 de az nem telepíthető
E: Teljesítetlen függőségek. Próbálja a -f használatával.
root@fekete:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Függőségek javítása… Kész
Az alábbi csomagok el lesznek TÁVOLÍTVA:
mencoder
0 frissített, 0 újonnan telepített, 1 eltávolítandó és 0 nem frissített.
1 nincs teljesen telepítve/eltávolítva.
A művelet után 3.098 kB lemezterület szabadul fel.
Do you want to continue? [Y/n] y
(Adatbázis olvasása ... 379039 files and directories currently installed.)
Eltávolítás: mencoder (2:1.1+dfsg1-0ubuntu3) ...
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB
localepurge: Disk space freed in /usr/share/doc/kde/HTML: 0 KiB

Total disk space freed by localepurge: 0 KiB

...aztán ittam egy pohár vizet.

---
--- A gond akkor van, ha látszólag minden működik. ---
---

A dpkg szépen leírja magyar nyelven, mi a bánata...

Tudom. De mivel az apt-get upgrade szerint az égvilágon mindenem friss a repo szerint, így nem értem a dpkg rinyálását.
Már megszoktam, hogy ha keverem a repokat, az illető distrib behal egy idő után. Így ha mencoder kell, ugrik át slackware-re, ott minden rendben.
Kicsit őrjítő, de ez van.

Amúgy a distrib neve ubuntustudio, októberi 32 bites kiadás. Alapból mc nélkül mint minden ubuntu, de az legalább ott van a tárolóban.

Különben a fenti parancssori kimenetemhez hozzáfűzném, hogy ha minden korrekt volna, akkor az apt-get -f install letöltötte volna a "dpkg -i csomagnév"-hez hiányzó csomagokat, és telepítette volna. Erre inkább lezúzta. Érdekes, mással nem tette ezt.

---
--- A gond akkor van, ha látszólag minden működik. ---
---

ha ilyen jol megy slackware alatt, akkor miert erolteted az ubuntut?

Mert bizony van ami meg slackware-en nem megy.
3 distrib már használható mindenre, ebbe bele kell törődnöm, sajnálom az időt arra, hogy heteket-hónapokat egyetlen problémával küzdjek. Régen még türelmes voltam, ma már nem.

---
--- A gond akkor van, ha látszólag minden működik. ---
---

például mi?
melyik 3 distribet hasznalod es mire?

Slackware-en agyérgörcsöt kapok ha egy freecad-et vagy csupán egy (L)AMP-ot kell felrakni, vagy mondjuk a cinelerra5-öt forráskódból.
Ubuntu studio jó videovágásra ugyan (cinelerrát úgy kell arra is ráerőszakolni), localhoston megy a LAMP, de idegen wifihálózatokra valószínűleg valami kavar miatt nem mindig csatlakozik. Sorolhatnám még hogy melyik mire agyrém, de csak idegesít. Wificsatlakozást ha mindenképpen gond nélkül akarok megoldani, akkor live verzión futtatok egy spanyol slaxot.

Még néhány érdekes agyrém:
Salix/slackware tárolóiban nekem nem mindig van -dev csomag, ergo ha forgatni akarok valamit, betegre kutatom magam előtte/közben, és bizony van amikor teljes defekt egy hónap után sem tudom felrakni amit akarok, közben ubuntu tárolókban minden csomag fent van.
Saját repókból frissen tartott ubuntuban elszáll a teljes alsa, úgy kell anyázni, hogy valamivel ismét működővé tegyem. Aztán elfelejtem mivel javítottam meg, rendszerint akkor, amikor újra jelentkezik a probléma. Azt hiszem ezt a rinyálást abbahagyom, nincs értelme a több éves felgyülemlett marhaságokat leírnom, pláne ha legtöbbjéről lemondtam hogy valaha sikerül.
Na ezért van 3 distribem egy gépen.

Alul van még hely, ha valaki ki akar röhögni..

---
--- A gond akkor van, ha látszólag minden működik. ---
---

háát, ubuntu-t nem ismerem.
Slackware-t hasznalok elsodleges oprendszernek, ha nagy ritkan ujra kell raknom, akkor alltalaban azzal kezdem hogy az sbopkg-t felrakom, aztan legeneralom a fuggosegeket sgq-val majd utana csak beramolom hogy mi kell es a tobbi fordul magatol. FreeCad-t nem probaltam, de cinelerra siman felment.
Ami a LAMP-t illeti a beepitett mysql, php nekem tokeletesen megfelel,(postresql-t szoktam meg feltenni sbopkg-bol a hozza valo php modullal).

ha nincs kedved queue generatorokkal szarozni, szolj es megoszotom a legeneralt queue fileokat.

a cinelerra 5 ment fel neked? Ahhoz még buildet sem találtam.

Igen

A kovetkezo kellett hozza:
Slackbuilds.org-rol a numactl

ez a statikus build

screenshot

edit:
elfelejtettem mondani hogy a rendszer egy Slackware64-Current (2015-10-08 update)
Ami rajta van meg:
SlackMate
+ Alienbob féle 32bit compatibility layer

Felkeltetted a fantáziámat.
Neked a leforgatott verzió slackon beolvassa a videókat a Media ablakban? Azaz használható? Mert a régebbi 2.2-essel nem volt gondom, az 5.0 viszont tele van anomáliával, gyakorlatilag az xml fájlt összekavarja, az idővonalra kitett videóknak az audiosávját eltolja stb.

---
--- A gond akkor van, ha látszólag minden működik. ---
---

Megcsekkolhatnad az Arch Linuxot, azon eleg sokminden megy....
--
Blog | @hron84
Üzemeltető macik

Slightly unrelated: ajanlom figyelmedbe az apt-file nevu csomagot, ezt ugyan rendszeresen kell frissitgetni, de naprakesz informaciokkal rendelkezik a csomagok tartalmarol, attol fuggetlenul, hogy az telepitve van-e a gepeden vagy sem. Az apt-file search <filename> megmondja, hogy az adott fajl melyik csomagban erheto el. Az informacioit frissiteni egy cron-ba berakott "apt-file update" paranccsal lehet.
--
Blog | @hron84
Üzemeltető macik

Nézegettem, de az égvilágon semmi használhatót nem mondott:

# apt-file search mencoder
bash-completion: /usr/share/bash-completion/completions/mencoder
kino: /usr/share/kino/scripts/exports/mencoder.sh
lives: /usr/lib/lives/plugins/encoders/mencoder_encoder
lives-plugins: /usr/lib/i386-linux-gnu/lives/plugins/encoders/mencoder_encoder
mencoder: /usr/bin/mencoder
mencoder: /usr/share/doc/mencoder/changelog.Debian.gz
mencoder: /usr/share/doc/mencoder/copyright
mplayer: /usr/share/man/cs/man1/mencoder.1.gz
mplayer: /usr/share/man/de/man1/mencoder.1.gz
mplayer: /usr/share/man/es/man1/mencoder.1.gz
mplayer: /usr/share/man/fr/man1/mencoder.1.gz
mplayer: /usr/share/man/hu/man1/mencoder.1.gz
mplayer: /usr/share/man/it/man1/mencoder.1.gz
mplayer: /usr/share/man/man1/mencoder.1.gz
mplayer: /usr/share/man/pl/man1/mencoder.1.gz
mplayer: /usr/share/man/ru/man1/mencoder.1.gz
mplayer: /usr/share/man/zh_CN/man1/mencoder.1.gz
mplayer-dbg: /usr/lib/debug/usr/bin/mencoder
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/cs/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/de/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/en/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/es/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/fr/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/hu/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/it/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/pl/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/ru/mencoder.html
mplayer-doc: /usr/share/doc/mplayer-doc/HTML/zh_CN/mencoder.html
okteta-dev: /usr/include/kasten/abstractmodelstreamencoder.h
okteta-dev: /usr/include/kasten/abstractmodelstreamencoderconfigeditor.h
okteta-dev: /usr/include/kasten/abstractmodelstreamencoderconfigeditorfactory.h
okteta-dev: /usr/include/kasten/okteta/abstractbytearraystreamencoder.h
okteta-dev: /usr/include/kasten/okteta/bytearraystreamencoderconfigeditorfactoryfactory.h
okteta-dev: /usr/include/kasten/okteta/bytearraystreamencoderfactory.h
okteta-dev: /usr/include/kasten2/abstractmodelstreamencoder.h
okteta-dev: /usr/include/kasten2/abstractmodelstreamencoderconfigeditor.h
okteta-dev: /usr/include/kasten2/abstractmodelstreamencoderconfigeditorfactory.h
okteta-dev: /usr/include/kasten2/okteta1/abstractbytearraystreamencoder.h
okteta-dev: /usr/include/kasten2/okteta1/bytearraycharsstreamencoder.h
okteta-dev: /usr/include/kasten2/okteta1/bytearraysourcecodestreamencoder.h
okteta-dev: /usr/include/kasten2/okteta1/bytearraysourcecodestreamencoderconfigeditor.h
okteta-dev: /usr/include/kasten2/okteta1/bytearraysourcecodestreamencoderconfigeditorfactory.h
okteta-dev: /usr/include/kasten2/okteta1/bytearraytextstreamencoderpreview.h
okteta-dev: /usr/include/kasten2/okteta1/bytearrayvaluesstreamencoder.h
okteta-dev: /usr/include/kasten2/okteta1/bytearrayvaluesstreamencoderconfigeditor.h
okteta-dev: /usr/include/kasten2/okteta1/bytearrayvaluesstreamencoderconfigeditorfactory.h
okteta-dev: /usr/include/kasten2/okteta1/bytearrayviewtextstreamencoder.h
recorditnow: /usr/lib/kde4/recorditnow_mencoder.so
recorditnow: /usr/lib/kde4/recorditnow_mencoder_config.so
recorditnow: /usr/share/kde4/config.kcfg/recorditnow_mencoder.kcfg
recorditnow: /usr/share/kde4/services/recorditnow_mencoder.desktop
recorditnow: /usr/share/kde4/services/recorditnow_mencoder_config.desktop
tribler: /usr/share/tribler/Tribler/Tools/pipe-babscam-h264-nosound-mencoder.sh

root@fekete:/var/tmp# /usr/bin/mencoder
bash: /usr/bin/mencoder: Nincs ilyen fájl vagy könyvtár
#

---
--- A gond akkor van, ha látszólag minden működik. ---
---

Rászántam magam a keveredésre:

deb http://cz.archive.ubuntu.com/ubuntu trusty main universe
sort hozzáírtam a /etc/apt/sources.list fájlhoz, majd
felaptoltam a mencodert, végül letiltottam a sort a forráslistában, hogy upgrade-ek ne jöjjenek onnan.

Csak remélem, hogy a videovágókat nem tettem hidegre, majd kiderül.

Jelenleg így festek:

cat /etc/apt/sources.list

#kicad:
deb http://ppa.launchpad.net/js-reynaud/ppa-kicad/ubuntu wily main
deb-src http://ppa.launchpad.net/js-reynaud/ppa-kicad/ubuntu wily main

# deb cdrom:[Ubuntu-Studio 15.10 _Wily Werewolf_ - Release i386 (20151021)]/ wily main multiverse restricted universe
deb-src http://archive.ubuntu.com/ubuntu wily main multiverse restricted universe #Added by software-properties

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://hu.archive.ubuntu.com/ubuntu/ wily main restricted
deb-src http://hu.archive.ubuntu.com/ubuntu/ wily restricted main universe multiverse #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://hu.archive.ubuntu.com/ubuntu/ wily-updates main restricted
deb-src http://hu.archive.ubuntu.com/ubuntu/ wily-updates restricted main universe multiverse #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://hu.archive.ubuntu.com/ubuntu/ wily universe
deb http://hu.archive.ubuntu.com/ubuntu/ wily-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://hu.archive.ubuntu.com/ubuntu/ wily multiverse
deb http://hu.archive.ubuntu.com/ubuntu/ wily-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://hu.archive.ubuntu.com/ubuntu/ wily-backports main restricted universe multiverse
deb-src http://hu.archive.ubuntu.com/ubuntu/ wily-backports main restricted universe multiverse #Added by software-properties

deb http://security.ubuntu.com/ubuntu wily-security main restricted
deb-src http://security.ubuntu.com/ubuntu wily-security restricted main universe multiverse #Added by software-properties
deb http://security.ubuntu.com/ubuntu wily-security universe
deb http://security.ubuntu.com/ubuntu wily-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu wily partner
# deb-src http://archive.canonical.com/ubuntu wily partner

#zygrib
deb http://doc.hausser.ch/debpackages wily main

#webmin:
deb http://download.webmin.com/download/repository sarge contrib
deb http://webmin.mirror.somersettechsolutions.co.uk/repository sarge contrib

#mencoder:
#deb http://cz.archive.ubuntu.com/ubuntu trusty main universeroot@fekete:/etc/apt#

ffmpeg vagy libav - amelyik van gyári tárolóban. Kicsit más hülyeségei vannak a parancsori kapcsolóinak, mint pl. a mencoder-nek, de ezekkel is kb mindent meg lehet csinálni. (Ja, ha jól látom, a fent hivatkozott HandbrakeCLI is pont a libav-re dependál: libavcodec, meg libavutil, stb)